async function getAnalytics() {
    const email = document.getElementById('email').value;
    const password = document.getElementById('password').value;

    const response = await fetch(
        "https://dev-nakama.winterpixel.io/v2/account/authenticate/email?create=false",
        {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
                'Authorization': 'Basic OTAyaXViZGFmOWgyZTlocXBldzBmYjlhZWIzOTo='
            },
            body: JSON.stringify({
                email: email,
                password: password,
                vars: { client_version: "99999" }
            })
        }
    );

    try {
        const { token } = await response.json();
        const accountInfo = await getAccountInfo(token);
        displayAnalytics(email, accountInfo);
    } catch (error) {
        console.error(`Error processing request for ${email}: ${error.message}`);
    }
}

async function getAccountInfo(token) {
    const response = await fetch(
        "https://dev-nakama.winterpixel.io/v2/account",
        {
            headers: {
                'Authorization': `Bearer ${token}`
            }
        }
    );
    return response.json();
}

async function displayAnalytics(email, accountInfo) {
    const resultDiv = document.getElementById('result');

    // Create an array to hold all information
    const allInfo = [];

    // Loop through each property in accountInfo
    for (const property in accountInfo) {
        if (Object.hasOwnProperty.call(accountInfo, property)) {
            const value = accountInfo[property];
            // Add the property and its value to the array
            allInfo.push({ property, value });
        }
    }

    // Convert the array to a JSON string with formatting
    const formattedOutputInfo = JSON.stringify(allInfo, null, 4);

    // Display the formatted information
    resultDiv.innerHTML = `${email} - Account Information:<br>${formattedOutputInfo}`;
}
